com.amazonaws.services.codedeploy.model

## Class RollbackInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.RollbackInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class RollbackInfo
    extends Object
    implements Serializable, Cloneable

Information about a deployment rollback.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RollbackInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RollbackInfo` `clone()`
`boolean` `equals(Object obj)`
`String` `getRollbackDeploymentId()` The ID of the deployment rollback.
`String` `getRollbackMessage()` Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.
`String` `getRollbackTriggeringDeploymentId()` The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.
`int` `hashCode()`
`void` `setRollbackDeploymentId(String rollbackDeploymentId)` The ID of the deployment rollback.
`void` `setRollbackMessage(String rollbackMessage)` Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.
`void` `setRollbackTriggeringDeploymentId(String rollbackTriggeringDeploymentId)` The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RollbackInfo` `withRollbackDeploymentId(String rollbackDeploymentId)` The ID of the deployment rollback.
`RollbackInfo` `withRollbackMessage(String rollbackMessage)` Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.
`RollbackInfo` `withRollbackTriggeringDeploymentId(String rollbackTriggeringDeploymentId)` The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RollbackInfo

    public RollbackInfo()

### Method Detail

#### setRollbackDeploymentId

    public void setRollbackDeploymentId(String rollbackDeploymentId)

The ID of the deployment rollback.

Parameters:
  `rollbackDeploymentId` - The ID of the deployment rollback.

#### getRollbackDeploymentId

    public String getRollbackDeploymentId()

The ID of the deployment rollback.

Returns:
  The ID of the deployment rollback.

#### withRollbackDeploymentId

    public RollbackInfo withRollbackDeploymentId(String rollbackDeploymentId)

The ID of the deployment rollback.

Parameters:
  `rollbackDeploymentId` - The ID of the deployment rollback.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRollbackTriggeringDeploymentId

    public void setRollbackTriggeringDeploymentId(String rollbackTriggeringDeploymentId)

The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

Parameters:
  `rollbackTriggeringDeploymentId` - The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

#### getRollbackTriggeringDeploymentId

    public String getRollbackTriggeringDeploymentId()

The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

Returns:
  The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

#### withRollbackTriggeringDeploymentId

    public RollbackInfo withRollbackTriggeringDeploymentId(String rollbackTriggeringDeploymentId)

The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.

Parameters:
  `rollbackTriggeringDeploymentId` - The deployment ID of the deployment that was underway and triggered a rollback deployment because it failed or was stopped.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRollbackMessage

    public void setRollbackMessage(String rollbackMessage)

Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.

Parameters:
  `rollbackMessage` - Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.

#### getRollbackMessage

    public String getRollbackMessage()

Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.

Returns:
  Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.

#### withRollbackMessage

    public RollbackInfo withRollbackMessage(String rollbackMessage)

Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.

Parameters:
  `rollbackMessage` - Information describing the status of a deployment rollback; for example, whether the deployment can't be rolled back, is in progress, failed, or succeeded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RollbackInfo clone()

Overrides:
  `clone` in class `Object`